<app-navigation></app-navigation>

<div class = "container">
    <h1>Ostvareni poeni na ispitima</h1>
    <ul class="list-group" style="margin-bottom: 15px;">
        <li *ngFor = "let exam of this.exams | async;" class="list-group-item"> Predmet: {{exam.subject}}, Predispitni poeni: {{exam.testPoints}}, Ispitni poeni: {{exam.examPoints}}, Ocena: {{exam.grade}}
          <button class="btn-primary btn btn1" (click)="deleteExam(exam._id)" >Obrisi</button>  
          <button class="btn-primary btn btn1" (click)="currentExamId = exam._id; updateExam = true;" style="margin-right: 15px;">Promeni</button>  
          
        </li>
    </ul>
    
    <button *ngIf="!addExam" class="btn btn-primary btn2" (click)="addExam = true;" style="margin-bottom: 10px;">Dodaj novi prikaz poena ispita</button>
    <hr>
    <div *ngIf="addExam" class="form">
        <form>
            <div class="form-group">
              <input type="text" name="subjectName" class="form-control" placeholder="Unesi naziv ispita" [(ngModel)]="subjectName">
            </div>
            <div class="form-group">
              <input type="text" name="testPointsStr" class="form-control" placeholder="Unesi poene sa predispitnih obaveza" [(ngModel)] = "testPointsStr">
            </div>
            <div class="form-group">
                <input type="text" name="examPointsStr" class="form-control" placeholder="Unesi poene sa ispitnih obaveza" [(ngModel)]= "examPointsStr">
            </div>
            <button type="submit" class="btn btn-primary btn3" (click) = "addExamPoints()">Dodaj pregled poena</button>
            <button type="submit" class="btn btn-primary btn4" (click) = "addExam = false;" style="margin-right: 15px;">Odustani</button>

        </form>
    </div>

    <div *ngIf="updateExam" class="form">
        <form>
            <div class="form-group">
              <input type="text" name="updateTestPointsStr" class="form-control" placeholder="Unesi poene sa predispitnih obaveza" [(ngModel)] = "updateTestPointsStr">
            </div>
            <div class="form-group">
                <input type="text" name="updateExamPointsStr" class="form-control" placeholder="Unesi poene sa ispitnih obaveza" [(ngModel)]= "updateExamPointsStr">
            </div>
            <button type="submit" class="btn btn-primary btn3" (click) = "updateExamPoints()">Izmeni pregled poena</button>
            <button type="submit" class="btn btn-primary btn4" (click) = "updateExam = false;" style="margin-right: 15px;">Odustani</button>

          </form>
    </div>
</div>